Page MenuHomeFreeBSD

Update KDevelop to 4.7.3
ClosedPublic

Authored by adridg on Dec 31 2016, 12:12 AM.

Details

Summary

This updates the KDevelop port (and kdevplatform) for KDE4
to the latest version 4.7.3. Drops some patches previously
pulled from git, adds new ones.

Test Plan

The other kdevelop ports (-pg-qt and similar) need to be built.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

adridg retitled this revision from to Update KDevelop to 4.7.3.Dec 31 2016, 12:12 AM
adridg updated this object.
adridg edited the test plan for this revision. (Show Details)
adridg added reviewers: kde, tcberner, rakuco.
adridg updated this revision to Diff 23480.
adridg edited edge metadata.Dec 31 2016, 12:23 AM
adridg updated this revision to Diff 23481.

kdevelop-php also new distfile.

Owners edited edge metadata.Dec 31 2016, 12:23 AM
adridg edited edge metadata.Dec 31 2016, 12:31 AM
adridg updated this revision to Diff 23482.

Third time's the charm: also update kdevelop-php-docs

Owners edited edge metadata.Dec 31 2016, 12:31 AM
tcberner added inline comments.Dec 31 2016, 12:47 AM
Mk/Uses/kde.mk
82 ↗(On Diff #23482)

I think we should drop this from kde.mk and define it in the ports themselves directly.

tcberner edited edge metadata.Dec 31 2016, 10:21 AM
tcberner requested changes to this revision.

There are plist-issues in devel/kdevelop-php-docs

This revision now requires changes to proceed.Dec 31 2016, 10:21 AM
adridg edited edge metadata.Jan 1 2017, 6:44 PM
adridg updated this revision to Diff 23517.

Update patch (4)

  • Removed kdevelop and kdevplatform versions from kde.mk, placed in a Makefile.common.
  • Add %%NLS%% substitution to kdevelop-php-docs plist.
  • (TODO?) Perhaps more things like MASTER_SITES could be set there.
  • (TODO?) Is .include right there at the top of the makefile the right thing to do?
Owners edited edge metadata.Jan 1 2017, 6:44 PM
adridg added a comment.Jan 1 2017, 6:46 PM

Also note that the whole review mentions the wrong version: this update is from 4.7.3 -> 4.7.4

rakuco added inline comments.Jan 1 2017, 7:17 PM
Mk/Uses/kde.mk
82 ↗(On Diff #23482)

I think we should drop this from kde.mk and define it in the ports themselves directly.

Can you explain why?

devel/kdevplatform/files/patch-cmake__modules__KDevPlatformMacros_cmake.patch
1 ↗(On Diff #23517)
tcberner added inline comments.Jan 1 2017, 8:18 PM
Mk/Uses/kde.mk
82 ↗(On Diff #23482)

I don't see much benefit in it being defined in kde.mk -- I think we should only have KDE4/Frameworks/Plasma/Applications numbers in there, the stuff that actually is handled by kde.mk.

So CALLIGRA and KTP versions should be kicked too -- or DIGIKAM added :P

But don't let that be the hold up.

tcberner added inline comments.Jan 1 2017, 8:59 PM
devel/kdevelop-kde4/Makefile
4 ↗(On Diff #23517)

If the choice is between having Makefile.common and defining the version in kde.mk, then I want kde.mk :)

adridg edited edge metadata.Jan 2 2017, 10:17 PM
adridg updated this revision to Diff 23563.
  • Moved version number back to kde.mk
  • Fixed remaining plist issues with NLS
Owners edited edge metadata.Jan 2 2017, 10:17 PM
tcberner edited edge metadata.Jan 2 2017, 10:23 PM
tcberner accepted this revision.

Should be fine now -- sorry for the hassle.

adridg marked 2 inline comments as done.Jan 2 2017, 10:23 PM
adridg added inline comments.
devel/kdevelop-kde4/Makefile
4 ↗(On Diff #23517)

Since digikam had a Makefile.common -- for its family of ports -- and similarly kde-l10n and kdegames4, I figured it was a standard way of doing "all these ports belong together and need to be updated in lock-step". Apparently not.

devel/kdevplatform/files/patch-cmake__modules__KDevPlatformMacros_cmake.patch
1 ↗(On Diff #23517)

That'll go in a KDE Phab review; I'll add you as observer for it.

This revision was automatically updated to reflect the committed changes.